.my-green{
    background-color: #2c4b46;
    color: white;
}

.my-green a:hover{
    color: black;
}
.my-gradient{
    background:
            linear-gradient(
                    #eaeceb,
                    #f3f4ef
            );
}
#mainMenuButton{
    padding: 15px;
}
.main-menu-dropdown {
    top: 100%;              /* directly under navbar */
    left: 0;
    z-index: 1050;
    text-align: center;
}

nav.navbar {
    position: relative;     /* anchor for absolute menu */
    z-index: 1060;
}

.main-menu-dropdown a {
    text-decoration: none;
    color: #333;
}

.main-menu-dropdown a:hover {
    color: #2c4b46;
}
.image-grayscale
{
    filter: grayscale(100%);
}
#headerAvatarImage{
    border: 2px solid #2c4b46;;
    border-radius: 50%;
    height: 52px;
    width: 52px;
}

/* ===== Breadcrumb base ===== */
.app-breadcrumb {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 8px 0;
    margin: 0;
    list-style: none;
}

/* Items */
.app-breadcrumb li {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #6c757d;
}

/* Links */
.app-breadcrumb a {
    text-decoration: none;
    color: #6c757d;
    padding: 4px 8px;
    border-radius: 8px;
    transition: all 0.2s ease;
}

/* Hover (app feel) */
.app-breadcrumb a:hover {
    background: rgba(13,110,253,0.1);
    color: #2c4b46;
}

/* Separator */
.app-breadcrumb li:not(:last-child)::after {
    content: "›";
    color: #adb5bd;
}

/* Active */
.app-breadcrumb .active {
    color: #212529;
    font-weight: 500;
}

@keyframes fadeSlideDown {
    from {
        opacity: 0;
        transform: translateY(-5px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
.app-breadcrumb-top {
    position: sticky;
    top: 0;
    z-index: 1070;
}
.inset-text {
    font-weight: bold;
    background-color: #2c4b46;
    color: transparent;
    text-shadow: 2px 2px 3px rgba(255,255,255,0.5);
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
}
a {
    text-decoration: none;
    color: unset;
}
a:hover{
    color: #2c4b46;
}
.hero-section {
    background: url('/assets/images/MainBanner.jpeg') center/cover no-repeat;
    min-height: 50vh;
    text-shadow: 0 2px 6px rgba(0,0,0,0.6);
}
.img-responsive,.thumbnail a>img,.thumbnail>img{
    display:block;
    max-width:100%;
    height:auto
}
.stat-card {
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.05);
}

.guide-card {
    border-radius: 12px;
    transition: 0.2s;
    cursor: pointer;
    overflow: hidden;
}

.card {
    border-radius: 12px;
    overflow: hidden;
}

.card img {
    object-fit: cover;
}

h5 {
    font-weight: 600;
}
.cache-item{
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.176);
    border-radius: 5px;
    margin: 2px;
    padding: 2px;
}

.cache-item img {
    border-radius: 6px;
}
.cache-item:hover {
    background-color: rgba(0, 0, 0, 0.036);
}
.cache-item div{
    overflow: hidden;
    text-wrap: nowrap;
}

.event-img {
    width: 100px;
    height: 100px;
    border-radius: 10px;
    background: #f8f9fa;
    padding: 8px;
}


h3 {
    font-size: 20px;
    color: #696969;
    font-weight: 400;
    font-family: 'Montserrat', sans-serif;
    margin: 20px 0;
}
hr{
    margin-top: 20px;
    margin-bottom: 20px;
    border: 0;
    border-top: 1px solid #bbb;
}
a.link {
    color: #1e73be;
}
.table td{

    color: #696969;
}

.dot-scale10{
    --dot-full-color: #2ecc71;
}
.dot-scale15{
    --dot-full-color: #58d68d;
}
.dot-scale20{
    --dot-full-color: #82e0aa;
}
.dot-scale25{
    --dot-full-color: #f4d03f;
}
.dot-scale30{
    --dot-full-color: #f5b041;
}
.dot-scale35{
    --dot-full-color: #eb984e;
}
.dot-scale40{
    --dot-full-color: #e67e22;
}
.dot-scale45{
    --dot-full-color: #e74c3c;
}
.dot-scale50{
    --dot-full-color: #c0392b;
}
.dot-scale {
    display: inline-flex;
    align-items: center;
    gap: 0px;
    --empty: #e5e7eb;
}

/* tekst */
.label {
    font-size: 14px;
    color: #555;
    margin-right: 4px;
}

/* kropka */
.dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;

    border: 1px solid rgba(0, 0, 0, 0.176);
    background: var(--empty);
}

.dot.full {
    background: var(--dot-full-color);
}


/* pół kropki */
.dot.half {
    background: linear-gradient(
            to right,
            var(--dot-full-color) 50%,
            var(--empty) 50%
    );
    background-origin: border-box;
}

@media (max-width: 992px) {
    h3 {
        text-align: center;
    }
    .hero-section {
        min-height: 40vh;
    }

    .hero-section .container .row{
        max-width: 80%;
    }
}

@media (max-width: 768px) {
    #logo {
        height: 20px;
    }
    #headerAvatarImage{
        height: 20px;
        width: 20px;
    }
    .hero-section {
        min-height: 30vh;
    }

    .hero-section .container .row{
        max-width: 55%;
    }
}

@media (max-width: 576px) {
    #mainMenuButton{
        padding: 0 5px;
    }
    .app-breadcrumb{
        font-size: small;
    }
    .hero-section {
        min-height: 20vh;
    }
    #pttk-badges-container {
        justify-content: space-evenly !important;
    }
    #geocaching-party-container{
        margin-top: 20px;
    }
}